Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#201 Le 12/02/2008, à 22:13

ogaby

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

vi... smile

Avec cette simple ligne, on peut bénéficier des mises-à -jour de sécurité plus rapidement que sur un dépà´t européen. Je dis "européen" car je vis en Allemagne et mon dépà´t "normal" n'a pas encore cette mise-à -jour.

Hors ligne

#202 Le 12/02/2008, à 22:15

zappinggg

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

idem pour le fr
pas de MAJ encore!

Hors ligne

#203 Le 12/02/2008, à 22:36

ogaby

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

Un point positif avec ce topic: on apprend pas mal de trucs sur les dépà´ts.

- skippy a remarqué que la date de la dernière mise-à -jour du dépà´t officiel français date du 8.02.
- le dépà´t officiel a déjà  la correction de ce trou de sécurité mais les dépà´ts européens ne l'ont pas encore.

On peut penser voire espérer que les dépà´ts européens le proposeront demain matin. On verra bien.

Hors ligne

#204 Le 12/02/2008, à 22:44

®om

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

Moi dans mon sources.list c'est les serveur "fr." et j'ai eu la mise à jour...

Hors ligne

#205 Le 12/02/2008, à 22:49

HymnToLife

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

®om a écrit :

Moi dans mon sources.list c'est les serveur "fr." et j'ai eu la mise à  jour...

T'es sûr ? Fais voir ton sourceS.list...

Dernière modification par HymnToLife (Le 12/02/2008, à 22:49)


- Rodrigue, as-tu du cœur ?
- Non, mais j'ai du pique !

Hors ligne

#206 Le 12/02/2008, à 22:57

mr_pouit

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

Vous pouvez voir l'état de synchronisation des différents miroirs sur cette page : https://launchpad.net/ubuntu/+archivemirrors (je connais pas la fréquence de mise à jour de cette page en revanche).


N'hésitez pas à venir sur #ubuntu-fr-devel et #u-classroom (FreeNode) !
Ma page perso -- Mon blog

Hors ligne

#207 Le 12/02/2008, à 23:00

Ferod

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

idem j'ai eu une mis à jour sous feisty fawn alors que certains de mes dépots sont fr (enfin je crois)...

# 
# deb cdrom:[Ubuntu 7.04 _Feisty Fawn_ - Release i386 (20070415)]/ feisty main restricted

deb cdrom:[Ubuntu 7.04 _Feisty Fawn_ - Release i386 (20070415)]/ feisty main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://fr.archive.ubuntu.com/ubuntu/ feisty main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ feisty main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ feisty-updates main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ feisty-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://fr.archive.ubuntu.com/ubuntu/ feisty universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ feisty universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fr.archive.ubuntu.com/ubuntu/ feisty multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ feisty multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://fr.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu feisty-security main restricted
deb-src http://security.ubuntu.com/ubuntu feisty-security main restricted
deb http://security.ubuntu.com/ubuntu feisty-security universe
deb-src http://security.ubuntu.com/ubuntu feisty-security universe
deb http://security.ubuntu.com/ubuntu feisty-security multiverse
deb-src http://security.ubuntu.com/ubuntu feisty-security multiverse

"When I was in the military, they gave me a medal for killing
two men, and a descharge for loving one !" Leonard Matlovich
---------------------------
Papa tu me manques...

Hors ligne

#208 Le 12/02/2008, à 23:05

ogaby

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

mr_pouit a écrit :

Vous pouvez voir l'état de synchronisation des différents miroirs sur cette page : https://launchpad.net/ubuntu/+archivemirrors (je connais pas la fréquence de mise à  jour de cette page en revanche).

Ach... ScheiàŸe!

Mon miroir est l'université d'Esslingen situé à  10km de chez moi (en ftp...) et il actualise une fois par semaine. Ben merci pour ton lien. C'est instructif.

Je sens que la fameuse ligne à  placer dans son sources.list pour la sécurité va être très précieuse.

Je parle de ça à  mettre dans le fameux fichier:

deb http://archive.ubuntu.com/ubuntu/ gutsy-security main restricted universe multiverse

Hors ligne

#209 Le 12/02/2008, à 23:06

HymnToLife

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

deb http://security.ubuntu.com/ubuntu feisty-security main restricted
deb-src http://security.ubuntu.com/ubuntu feisty-security main restricted
deb http://security.ubuntu.com/ubuntu feisty-security universe
deb-src http://security.ubuntu.com/ubuntu feisty-security universe
deb http://security.ubuntu.com/ubuntu feisty-security multiverse
deb-src http://security.ubuntu.com/ubuntu feisty-security multiverse

Donc la branche security est récupérée à partir d'un serveur central pas du miroir fr.


- Rodrigue, as-tu du cœur ?
- Non, mais j'ai du pique !

Hors ligne

#210 Le 12/02/2008, à 23:17

zappinggg

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

Bonjour,

J'ai un problème suite à  la MAJ de la faille de sécurité du KERNEL;
je boot maintenant sur kernel serveur et non plus en generic:
Je perds la wifi, le son et le graphisme
voici mon fichier grub:

title        Ubuntu 7.10, kernel 2.6.22-14-server
root        (hd0,5)
kernel        /boot/vmlinuz-2.6.22-14-server root=UUID=4c6b95f2-b7b7-48e0-8739-6a0ddc3690ce ro quiet splash
initrd        /boot/initrd.img-2.6.22-14-server
quiet

title        Ubuntu 7.10, kernel 2.6.22-14-server (recovery mode)
root        (hd0,5)
kernel        /boot/vmlinuz-2.6.22-14-server root=UUID=4c6b95f2-b7b7-48e0-8739-6a0ddc3690ce ro single
initrd        /boot/initrd.img-2.6.22-14-server

title        Ubuntu 7.10, kernel 2.6.22-14-generic
root        (hd0,5)
kernel        /boot/vmlinuz-2.6.22-14-generic root=UUID=4c6b95f2-b7b7-48e0-8739-6a0ddc3690ce ro quiet splash
initrd        /boot/initrd.img-2.6.22-14-generic
quiet

title        Ubuntu 7.10, kernel 2.6.22-14-generic (recovery mode)
root        (hd0,5)
kernel        /boot/vmlinuz-2.6.22-14-generic root=UUID=4c6b95f2-b7b7-48e0-8739-6a0ddc3690ce ro single
initrd        /boot/initrd.img-2.6.22-14-generic

que se passe til?
une idée?
sVP

Hors ligne

#211 Le 12/02/2008, à 23:19

HymnToLife

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

Désinstalle le noyau server depuis Synaptic, il sera automatiquement retiré de GRUB.


- Rodrigue, as-tu du cœur ?
- Non, mais j'ai du pique !

Hors ligne

#212 Le 12/02/2008, à 23:29

®om

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

Ah ok pareil c'est security et non fr.security pour moi smile

Hors ligne

#213 Le 12/02/2008, à 23:29

Atok

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

Il y a eut une mise à  jour du noyau aujourd'hui...


Lisez libre !  :)

Hors ligne

#214 Le 12/02/2008, à 23:37

vega_dagraeyt-wuon

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

j'ai réinstallé gutsy tout à  l'heure et dès le premier login la m à  j était disponible. j'ai testé j'ai le bad address c'est bon....c'est bien la première fois que j'assiste à  quelque chose de la sorte...sinon quelqu'un sait qui a découvert la faille et depuis quand ?

Hors ligne

#215 Le 13/02/2008, à 00:14

sombrero

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

Pour les détenteurs d'un serveur dédié chez Dedibox (et uniquement pour ces cas là ) :

Arnaud de chez Dedibox a écrit :

Pas de panique :
Grà¢ce au NxBit activé sur les Dedibox, vous n'êtes pas impactés par cette
faille de sécurité !

Vous pouvez vérifier que NxBit est correctement configuré :
root@madedibox:/home/toto# dmesg | grep NX
NX (Execute Disable) protection: active

cependant quelques heures plus tard :

Arnaud de chez Dedibox a écrit :

Bonsoir,

Vu que curieusement, NxBit n'a pas l'air de systématiquement protéger
contre cette faille de sécurité, malgré nos multiples tests sur des
centaines de machines, nous vous recommandons de mettre à  jour votre
kernel.
La release R8 disponible sur le serveur ftp dedibox :
ftp://ftp.dedibox.fr/pub/dedibox/kernel/r8-1/C7-X86-32bits/

Pour mettre à  jour votre kernel, suivez cette documentation :
http://documentation.dedibox.fr/doku.php?id=distrib:kernel

C'est bien la release R8-1 qui est basée sur le 2.6.24.2 qui n'est pas vulnérable.

Enfin dernier rappel, n'oubliez pas que si vous votre installation initiale date un peu, un bug dans grub-install fait que update-grub ne modifie pas correctement /boot/grub/menu.lst qu'il faut éditer à  la main après le update-grub.
Donc concrètement, après le dpkg du kernel il faut donc lancer manuellement update-grub puis éditer /boot/grub/menu.lst et remplacer les root=UUID=xxxxxx-xxxxx.... par root=/dev/sda2 si vous aviez suivi la prodécure d'installation recommandée. Vous pouvez ensuite rebooter.

Dernière modification par sombrero (Le 13/02/2008, à 00:57)


Debian unstable sur MacBook Pro.

Hors ligne

#216 Le 13/02/2008, à 00:37

Kinette

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

Enfin dernier rappel, n'oubliez pas que si vous votre installation initiale date un peu, un bug dans grub-install fait que update-grub ne modifie pas correctement /boot/grub/menu.lst qu'il faut éditer à  la main après le update-grub.
Donc concrètement, après le dpkg du kernel il faut donc lancer manuellement update-grub puis éditer /boot/grub/menu.lst et remplacer les root=UUID=xxxxxx-xxxxx.... par root=/dev/sda2 si vous aviez suivi la prodécure d'installation recommandée. Vous pouvez ensuite rebooter.

Hello Sombrero,
"date un peu" ça veux dire quoi? Est-ce que tu peux donner la source de ton info, merci d'avance!
K

Hors ligne

#217 Le 13/02/2008, à 00:54

brakbabord

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

C'est bon j'ai eu la MAJ. J'ai changé mon sources.list pour ne plus pomper sur les serveurs fr, mais sur les serveur US.

Hors ligne

#218 Le 13/02/2008, à 00:56

sombrero

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

Kinette a écrit :

Enfin dernier rappel, n'oubliez pas que si vous votre installation initiale date un peu, un bug dans grub-install fait que update-grub ne modifie pas correctement /boot/grub/menu.lst qu'il faut éditer à  la main après le update-grub.
Donc concrètement, après le dpkg du kernel il faut donc lancer manuellement update-grub puis éditer /boot/grub/menu.lst et remplacer les root=UUID=xxxxxx-xxxxx.... par root=/dev/sda2 si vous aviez suivi la prodécure d'installation recommandée. Vous pouvez ensuite rebooter.

Hello Sombrero,
"date un peu" ça veux dire quoi? Est-ce que tu peux donner la source de ton info, merci d'avance!
K

Concernant les annonces d'Arnaud que j'ai citées, elles ont été faites lundi sur les newsgroups de dedibox (news://news.dedibox.fr/proxad.dedibox.discussions/)

Pour l'installation qui « date un peu », le wiki de dedibox parle d'une installation antérieure au 28 mai 2006 mais ma propre installation de Feisty qui date de septembre 2007 a été aussi concernée par ce problème, donc y a pas vraiment de date précise si ce n'est que c'est au moins quelques mois.

Pour la correction du problème lors de la mise à  jour du menu de grub après une mise à  jour du kernel (ça concerne donc aussi les upgrades entre 2 versions d'une distribution), un billet qui traite de l'upgrade feisty à  gutsy explique très bien les manips à  suivre pour faire la modification du menu.

Comme je l'ai annoncé dans mon post initial, tout ce que je dis là  concerne bien entendu uniquement les mises à  jour sur un serveur dédié chez Dedibox (sous Ubuntu ou Debian) mais pas une installation d'Ubuntu standard.


Debian unstable sur MacBook Pro.

Hors ligne

#219 Le 13/02/2008, à 02:41

herberts

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

Ayé, MAJ faite smile

Félicitations aux devs pour le correctif, et merci à  HTL de nous faire partager ses découvertes.

Je vais également vérifier que ma fac est au courant, parce que le service info là  bas...

Hors ligne

#220 Le 13/02/2008, à 10:01

JBF

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

Pour ceux qui rà¢lent sur le temps mis à  corriger cette faille de sécurité :
http://www.lemondeinformatique.fr/actua … 25325.html

Sinon le bug #190587 n'est pas classé comme critique mais "seulement" de niveau élevé. L'explication est donnée.
https://bugs.launchpad.net/ubuntu/+sour … bug/190587

JBF


LibreOffice : http://fr.libreoffice.org/ (téléchargement, documentation, FAQ, assistance, contribuer, ...)

Hors ligne

#221 Le 13/02/2008, à 10:22

oleg

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

J'ai trouvé cette info  ici

http://www.infos-du-net.com/forum/267323-10-linux-attention-enorme-faille-securite-noyau et j'en retiens ceci :

Aux Ubunteros : Une solution pour se protéger de cette faille consiste à désinstaller le paquet "build-essential", utilisé par le script. Néanmoins il tient une place primordiale dans les compilations. A vous de voir si vous en avez besoin ou pas...

1) Après les 11 MAJ qui m'ont été automatiquement proposées ce matin et nécessitant un redémarrage (et dont je pense qu'elles sont en rapport avec la correction de la dite-faille)  : est-ce que ce qui précède peut être quand même utile à faire ? + (sous-question 2) : je n'ai pas eu le temps d'identifier les 11 MAJ en question : où sont-elles stockées et identifiables ?)

3) Qu'est-ce que "build essential" exactement ? Et le désinstaller peut être gênant en quoi ?

Un "bleu" sur Ubuntu


Faire de son mieux et laisser dire
Ne jamais se sentir en dessous de soi ni au-dessus des autres
Mon autogalerie de photos
A +

En ligne

#222 Le 13/02/2008, à 10:56

ogaby

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

Checky a écrit :

J'ai trouvé cette info  ici

http://www.infos-du-net.com/forum/267323-10-linux-attention-enorme-faille-securite-noyau et j'en retiens ceci :

Aux Ubunteros : Une solution pour se protéger de cette faille consiste à  désinstaller le paquet "build-essential", utilisé par le script. Néanmoins il tient une place primordiale dans les compilations. A vous de voir si vous en avez besoin ou pas...

1) Après les 11 MAJ qui m'ont été automatiquement proposées ce matin et nécessitant un redémarrage (et dont je pense qu'elles sont en rapport avec la correction de la dite-faille)  : est-ce que ce qui précède peut être quand même utile à  faire ? + (sous-question 2) : je n'ai pas eu le temps d'identifier les 11 MAJ en question : o๠sont-elles stockées et identifiables ?)

3) Qu'est-ce que "build essential" exactement ? Et le désinstaller peut être gênant en quoi ?

Un "bleu" sur Ubuntu

build essential est un paquet pour compiler un programme à  partir des fichiers sources et on obtient ensuite un ou des fichier(s) exécutable(s).

Bon peut-être qu' "info-du-net" à  pensé qu'un virus allait répandre les sources puis compiler sur la machine victime puis s'exécuter. C'est un peu compliqué tout ca.

Un pirate ferait plus simple. La majorité des PCs sont des 686: autant compiler pour un 686 puis envoyer uniquement l'exécutable.

Hors ligne

#223 Le 13/02/2008, à 11:02

JBF

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

Checky a écrit :

3) Qu'est-ce que "build essential" exactement ? Et le désinstaller peut être gênant en quoi ?

Comme le suggère son nom, un paquet nécessaire à  la compilation de programmes. Sans ça tu ne peux pas compiler le code scélérat. Cela ne te protège que si tu ne te fait pas fourguer le code sous forme exécutable.

JBF


LibreOffice : http://fr.libreoffice.org/ (téléchargement, documentation, FAQ, assistance, contribuer, ...)

Hors ligne

#224 Le 13/02/2008, à 12:09

HymnToLife

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

D'ailleurs et soit dit en passant, un simple apt-get remove build-essential n'empêchera rien du tout, puisqu'il ne supprimera que le meta-paquet, et pas les outils installés grà¢ce à  celui-ci (gcc, les bibliothèques standard, etc.).

On ne le répétera jamais assez, les "infos" d'infos-du-net, sont toujours à  prendre avec des pincettes.

Dernière modification par HymnToLife (Le 13/02/2008, à 12:10)


- Rodrigue, as-tu du cœur ?
- Non, mais j'ai du pique !

Hors ligne

#225 Le 13/02/2008, à 12:12

sirius10

Re : [ATTENTION] Faille de sécurité critique dans le noyau Linux !

avec un

sudo aptitude remove build-essential

est ce ok???

Dernière modification par sirius10 (Le 13/02/2008, à 12:12)


"Pour ce qui est de l'Avenir, il ne s’agit pas de le prévoir, mais de le rendre possible."     
Antoine de Saint-Exupéry

Hors ligne

Haut de page ↑